## fonts-inter 3.7

=== Makefile ===
# Targets:
#   all               Build everything
#   test              Build and test everyything (implies all_check)
#   install           Build and install all OTF files. (currently Mac-only)
#   zip               Build a complete release-grade ZIP archive of all fonts.
#   dist              Create a new release distribution. Does everything.
#
#   all_const         Build all non-variable files
#   all_const_hinted  Build all non-variable files with hints
#   all_var           Build all variable files
#   all_var_hinted    Build all variable files with hints (disabled)
#
#   all_otf           Build all OTF files into FONTDIR/const
#   all_ttf           Build all TTF files into FONTDIR/const
#   all_ttf_hinted    Build all TTF files with hints into FONTDIR/const-hinted
#   all_web, web      Build all WOFF files into FONTDIR/const
#   all_web_hinted    Build all WOFF files with hints into FONTDIR/const-hinted
#   all_var           Build all variable font files into FONTDIR/var
#   all_var_hinted    Build all variable font files with hints into
#                     FONTDIR/var-hinted
#
#   designspace       Build src/Inter.designspace from src/Inter.glyphs
#
# Style-specific targets:
#   STYLE_otf         Build OTF file for STYLE into FONTDIR/const
#   STYLE_ttf         Build TTF file for STYLE into FONTDIR/const
#   STYLE_ttf_hinted  Build TTF file for STYLE with hints into
#                     FONTDIR/const-hinted
#   STYLE_web         Build WOFF files for STYLE into FONTDIR/const
#   STYLE_web_hinted  Build WOFF files for STYLE with hints into
#                     FONTDIR/const-hinted
#   STYLE_check       Build & check OTF and TTF files for STYLE
#
# "build" directory output structure:
#   fonts
#     const
#     const-hinted
#     var
#     var-hinted  (disabled)
#
FONTDIR = build/fonts

all: all_const  all_const_hinted  all_var
web: all_web

all_const: all_otf  all_ttf  all_web
all_const_hinted: all_ttf_hinted  all_web_hinted
var: \
	$(FONTDIR)/var/Inter.var.woff2 \
	$(FONTDIR)/var/Inter.var.ttf
all_var: \
	$(FONTDIR)/var/Inter.var.woff2 \
	$(FONTDIR)/var/Inter.var.ttf \
	$(FONTDIR)/var/Inter-upright.var.woff2 \
	$(FONTDIR)/var/Inter-italic.var.woff2 \
	$(FONTDIR)/var/Inter-upright.var.ttf \
	$(FONTDIR)/var/Inter-italic.var.ttf

all_ufo_masters = $(Thin_ufo_d) \
                  $(ThinItalic_ufo_d) \
                  $(Regular_ufo_d) \
                  $(Italic_ufo_d) \
                  $(Black_ufo_d) \
                  $(BlackItalic_ufo_d)

# Hinted variable font disabled. See https://github.com/rsms/inter/issues/75
# all_var_hinted: $(FONTDIR)/var-hinted/Inter.var.ttf $(FONTDIR)/var-hinted/Inter.var.woff2
# .PHONY: all_var_hinted

.PHONY: all_const  all_const_hinted  var  all_var

export PATH := $(PWD)/build/venv/bin:$(PATH)

# generated.make is automatically generated by init.sh and defines depenencies for
# all styles and alias targets
include build/etc/generated.make


# TTF -> WOFF2
build/%.woff2: build/%.ttf
	woff2_compress "$<"

# TTF -> WOFF
build/%.woff: build/%.ttf
	ttf2woff -O -t woff "$<" "$@"

# make sure intermediate TTFs are not gc'd by make
.PRECIOUS: build/%.ttf



# Master UFOs -> variable TTF
$(FONTDIR)/var/%.var.ttf: src/%.designspace $(all_ufo_masters)
	misc/fontbuild compile-var -o $@ $<

# Instance UFO -> OTF, TTF (note: masters' rules in generated.make)
$(FONTDIR)/const/Inter-%.otf: build/ufo/Inter-%.ufo
	misc/fontbuild compile -o $@ $<

$(FONTDIR)/const/Inter-%.ttf: build/ufo/Inter-%.ufo
	misc/fontbuild compile -o $@ $<


# designspace <- glyphs file
src/Inter-*.designspace: src/Inter.designspace
src/Inter.designspace: src/Inter.glyphs
	misc/fontbuild glyphsync $<

# make sure intermediate files are not gc'd by make
.PRECIOUS: src/Inter-*.designspace

designspace: src/Inter.designspace
.PHONY: designspace

# short-circuit Make for performance
src/Inter.glyphs:
	@true

# instance UFOs <- master UFOs
build/ufo/Inter-%.ufo: src/Inter.designspace $(all_ufo_masters)
	misc/fontbuild instancegen src/Inter.designspace $*

# make sure intermediate UFOs are not gc'd by make
.PRECIOUS: build/ufo/Inter-%.ufo

# Note: The seemingly convoluted dependency graph above is required to
# make sure that glyphsync and instancegen are not run in parallel.


# hinted TTF files via autohint
$(FONTDIR)/const-hinted/%.ttf: $(FONTDIR)/const/%.ttf
	mkdir -p "$(dir $@)"
	ttfautohint --fallback-stem-width=256 --no-info "$<" "$@"

# python -m ttfautohint --fallback-stem-width=256 --no-info "$<" "$@"

# $(FONTDIR)/var-hinted/%.ttf: $(FONTDIR)/var/%.ttf
# 	mkdir -p "$(dir $@)"
# 	ttfautohint --fallback-stem-width=256 --no-info "$<" "$@"

# make sure intermediate TTFs are not gc'd by make
.PRECIOUS: $(FONTDIR)/const/%.ttf $(FONTDIR)/const-hinted/%.ttf $(FONTDIR)/var/%.var.ttf




# check var
test_var: all_var
	misc/fontbuild checkfont $(FONTDIR)/var/*.ttf $(FONTDIR)/var/*.woff2

# test runs all tests
# Note: all_check_const is generated by init.sh and runs "fontbuild checkfont"
# on all otf and ttf files.
test: all_check_const  test_var
	@echo "test: all ok"

# check does the same thing as test, but without any dependency checks, meaning
# it will check whatever font files are already built.
check:
	misc/fontbuild checkfont \
		$(FONTDIR)/const/*.ttf \
		$(FONTDIR)/const/*.otf \
		$(FONTDIR)/const/*.woff2 \
		$(FONTDIR)/var/*.ttf \
		$(FONTDIR)/var/*.woff2
	@echo "check: all ok"

.PHONY: test check




# samples renders PDF and PNG samples
samples: $(FONTDIR)/samples all_samples_pdf all_samples_png

$(FONTDIR)/samples/%.pdf: $(FONTDIR)/const/%.otf
	misc/tools/fontsample/fontsample -o "$@" "$<"

$(FONTDIR)/samples/%.png: $(FONTDIR)/const/%.otf
	misc/tools/fontsample/fontsample -o "$@" "$<"

$(FONTDIR)/samples:
	mkdir -p $@


ZD = build/tmp/zip
# intermediate zip target that creates a zip file at build/tmp/a.zip
build/tmp/a.zip:
	@rm -rf "$(ZD)"
	@rm -f  build/tmp/a.zip
	@mkdir -p \
	  "$(ZD)/Inter (web)" \
	  "$(ZD)/Inter (web hinted)" \
	  "$(ZD)/Inter (TTF)" \
	  "$(ZD)/Inter (TTF hinted)" \
	  "$(ZD)/Inter (TTF variable)" \
	  "$(ZD)/Inter (OTF)"
	@#
	@# copy font files
	cp -a $(FONTDIR)/const/*.woff \
	      $(FONTDIR)/const/*.woff2 \
	      $(FONTDIR)/var/*.woff2        "$(ZD)/Inter (web)/"
	cp -a $(FONTDIR)/const-hinted/*.woff \
	      $(FONTDIR)/const-hinted/*.woff2 \
	                                    "$(ZD)/Inter (web hinted)/"
	cp -a $(FONTDIR)/const/*.ttf        "$(ZD)/Inter (TTF)/"
	cp -a $(FONTDIR)/const-hinted/*.ttf "$(ZD)/Inter (TTF hinted)/"
	cp -a $(FONTDIR)/var/*.ttf          "$(ZD)/Inter (TTF variable)/"
	cp -a $(FONTDIR)/const/*.otf        "$(ZD)/Inter (OTF)/"
	@#
	@# copy misc stuff
	cp -a misc/dist/inter.css           "$(ZD)/Inter (web)/"
	cp -a misc/dist/inter.css           "$(ZD)/Inter (web hinted)/"
	cp -a misc/dist/*.txt               "$(ZD)/"
	cp -a LICENSE.txt                   "$(ZD)/"
	@#
	@# Fix VF metadata
	misc/tools/fix-vf-meta.py \
	  "$(ZD)/Inter (web)/Inter-upright.var.woff2" \
	  "$(ZD)/Inter (web)/Inter-italic.var.woff2"
	misc/tools/fix-vf-meta.py \
	  "$(ZD)/Inter (TTF variable)/Inter-upright.var.ttf" \
	  "$(ZD)/Inter (TTF variable)/Inter-italic.var.ttf"
	@#
	@# Add "beta" to Light and Thin filenames.
	@# Requires "rename" tool in PATH (`brew install rename` on macOS)
	rename 's/(Light.*|Thin.*)\./$$1-BETA./' "$(ZD)/Inter"*/*.*
	@#
	@# zip
	cd "$(ZD)" && zip -q -X -r "../../../$@" * && cd ../..
	@rm -rf "$(ZD)"

# load version, used by zip and dist
VERSION := $(shell cat version.txt)

# distribution zip files
ZIP_FILE_DIST := build/release/Inter-${VERSION}.zip

# zip
build/release/Inter-%.zip: build/tmp/a.zip
	@mkdir -p "$(shell dirname "$@")"
	@mv -f "$<" "$@"
	@echo write "$@"
	@sh -c "if [ -f /usr/bin/open ]; then /usr/bin/open --reveal '$@'; fi"

zip: all
	$(MAKE) check
	$(MAKE) build/release/Inter-${VERSION}-$(shell git rev-parse --short=10 HEAD).zip

zip_dist: pre_dist
	$(MAKE) check
	$(MAKE) ${ZIP_FILE_DIST}

.PHONY: zip zip_dist

# distribution
pre_dist: all
	@echo "Creating distribution for version ${VERSION}"
	@if [ -f "${ZIP_FILE_DIST}" ]; \
		then echo "${ZIP_FILE_DIST} already exists. Bump version or remove the zip file to continue." >&2; \
		exit 1; \
  fi

dist: zip_dist
	$(MAKE) -j docs
	misc/tools/versionize.py
	@echo "——————————————————————————————————————————————————————————————————"
	@echo ""
	@echo "Next steps:"
	@echo ""
	@echo "1) Commit & push changes"
	@echo ""
	@echo "2) Create new release with ${ZIP_FILE_DIST} at"
	@echo "   https://github.com/rsms/inter/releases/new?tag=v${VERSION}"
	@echo ""
	@echo "3) Bump version in version.txt (to the next future version)"
	@echo ""
	@echo "——————————————————————————————————————————————————————————————————"

docs: docs_fonts
	$(MAKE) -j docs_info

docs_info: docs/_data/fontinfo.json \
           docs/lab/glyphinfo.json \
           docs/glyphs/metrics.json

docs_fonts:
	rm -rf docs/font-files
	mkdir docs/font-files
	cp -a $(FONTDIR)/const/*.woff \
	      $(FONTDIR)/const/*.woff2 \
	      $(FONTDIR)/const/*.otf \
	      $(FONTDIR)/var/*.* \
	      docs/font-files/

.PHONY: docs docs_info docs_fonts

docs/_data/fontinfo.json: docs/font-files/Inter-Regular.otf misc/tools/fontinfo.py
	misc/tools/fontinfo.py -pretty $< > docs/_data/fontinfo.json

docs/lab/glyphinfo.json: build/UnicodeData.txt misc/tools/gen-glyphinfo.py $(Regular_ufo_d)
	misc/tools/gen-glyphinfo.py -ucd $< src/Inter-Regular.ufo > $@

docs/glyphs/metrics.json: $(Regular_ufo_d) misc/tools/gen-metrics-and-svgs.py
	misc/tools/gen-metrics-and-svgs.py src/Inter-Regular.ufo

# Download latest Unicode data
build/UnicodeData.txt:
	@echo fetch http://www.unicode.org/Public/UCD/latest/ucd/UnicodeData.txt
	@curl '-#' -o "$@" http://www.unicode.org/Public/UCD/latest/ucd/UnicodeData.txt

# install targets
install_ttf: all_ttf_const
	@echo "Installing TTF files locally at ~/Library/Fonts/Inter"
	rm -rf ~/'Library/Fonts/Inter'
	mkdir -p ~/'Library/Fonts/Inter'
	cp -va $(FONTDIR)/const/*.ttf ~/'Library/Fonts/Inter'

install_ttf_hinted: all_ttf_hinted
	@echo "Installing autohinted TTF files locally at ~/Library/Fonts/Inter"
	rm -rf ~/'Library/Fonts/Inter'
	mkdir -p ~/'Library/Fonts/Inter'
	cp -va $(FONTDIR)/const-hinted/*.ttf ~/'Library/Fonts/Inter'

install_otf: all_otf
	@echo "Installing OTF files locally at ~/Library/Fonts/Inter"
	rm -rf ~/'Library/Fonts/Inter'
	mkdir -p ~/'Library/Fonts/Inter'
	cp -va $(FONTDIR)/const/*.otf ~/'Library/Fonts/Inter'

install: install_otf

# clean removes generated and built fonts in the build directory
clean:
	rm -rvf build/tmp build/fonts

.PHONY: all web clean install install_otf install_ttf deploy pre_dist dist geninfo glyphsync

=== requirements.txt ===
fonttools[lxml,unicode,ufo]==3.41.0
glyphsLib==3.3.1
skia-pathops==0.2.0.post2
ufo2ft==2.8.0
fontmake==1.9.3
fs==2.3.0

# for fontTools/varLib/interpolatable.py
numpy==1.16.3
scipy==1.3.0
munkres==1.1.2

# for woff2
brotli==1.0.7

=== debian/changelog ===
fonts-inter (3.7-1) unstable; urgency=medium

  * New upstream version.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 06 Jun 2019 15:03:28 +0200

fonts-inter (3.3-1) unstable; urgency=medium

  * Initial release. (Closes: #921504)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 05 Feb 2019 09:57:45 +0100

=== debian/control ===
Source: fonts-inter
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 11), fontmake
Standards-Version: 4.3.0
Homepage: https://rsms.me/inter/

Package: fonts-inter
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Inter font family
 This is a typeface specially designed for user interfaces with focus
 on high legibility of small-to-medium sized text on computer screens.
 .
 The family features a tall x-height to aid in readability of
 mixed-case and lower-case text. Several OpenType features are
 provided as well, like contextual alternates that adjusts punctuation
 depending on the shape of surrounding glyphs, slashed zero for when
 you need to disambiguate "0" from "o", tabular numbers, etc.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	fontmake -i -o otf -g src/Inter.glyphs

override_dh_auto_test:
	@echo skipping test

override_dh_auto_clean:
	rm -rf instance_ufo/* master_ufo/*
	@echo skipping clean

override_dh_auto_install:
	@echo skipping install

## fonts-inter 3.11

=== debian/changelog ===
fonts-inter (3.11-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards version to 4.4.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 23 Oct 2019 08:37:44 +0200

fonts-inter (3.10-1) unstable; urgency=medium

  * New upstream version.
  * d/control: add Vcs fields.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 12 Sep 2019 13:08:58 +0200

fonts-inter (3.7-2) unstable; urgency=medium

  * Bump standards version to 4.4.0.
  * Add AppStream metadata.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Fri, 06 Sep 2019 21:26:41 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,10 @@
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
 Build-Depends: debhelper (>= 11), fontmake
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://rsms.me/inter/
+Vcs-Git: https://salsa.debian.org/fonts-team/fonts-inter.git
+Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-inter
 
 Package: fonts-inter
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,12 @@
 
 %:
 	dh $@
+
+override_dh_auto_configure:
+	mkdir -p instance_ufo/features
+	mkdir -p master_ufo/features
+	cp src/features/*.fea instance_ufo/features
+	cp src/features/*.fea master_ufo/features
 
 override_dh_auto_build:
 	fontmake -i -o otf -g src/Inter.glyphs

## fonts-inter 3.12

=== Makefile ===
# Targets:
#   all               Build everything
#   test              Build and test everyything (implies all_check)
#   install           Build and install all OTF files. (currently Mac-only)
#   zip               Build a complete release-grade ZIP archive of all fonts.
#   dist              Create a new release distribution. Does everything.
#
#   all_const         Build all non-variable files
#   all_const_hinted  Build all non-variable files with hints
#   all_var           Build all variable files
#   all_var_hinted    Build all variable files with hints (disabled)
#
#   all_otf           Build all OTF files into FONTDIR/const
#   all_ttf           Build all TTF files into FONTDIR/const
#   all_ttf_hinted    Build all TTF files with hints into FONTDIR/const-hinted
#   all_web, web      Build all WOFF files into FONTDIR/const
#   all_web_hinted    Build all WOFF files with hints into FONTDIR/const-hinted
#   all_var           Build all variable font files into FONTDIR/var
#   all_var_hinted    Build all variable font files with hints into
#                     FONTDIR/var-hinted
#
#   designspace       Build build/ufo/Inter.designspace from src/Inter.glyphs
#
# Style-specific targets:
#   STYLE_otf         Build OTF file for STYLE into FONTDIR/const
#   STYLE_ttf         Build TTF file for STYLE into FONTDIR/const
#   STYLE_ttf_hinted  Build TTF file for STYLE with hints into
#                     FONTDIR/const-hinted
#   STYLE_web         Build WOFF files for STYLE into FONTDIR/const
#   STYLE_web_hinted  Build WOFF files for STYLE with hints into
#                     FONTDIR/const-hinted
#   STYLE_check       Build & check OTF and TTF files for STYLE
#
# "build" directory output structure:
#   fonts
#     const
#     const-hinted
#     var
#     var-hinted  (disabled)
#
FONTDIR = build/fonts

all: all_const  all_const_hinted  all_var
web: all_web
.PHONY: all web

all_const: all_otf  all_ttf  all_web
all_const_hinted: all_ttf_hinted  all_web_hinted
var: \
	$(FONTDIR)/var/Inter.var.woff2 \
	$(FONTDIR)/var/Inter.var.otf
all_var: \
	$(FONTDIR)/var/Inter.var.otf \
	$(FONTDIR)/var/Inter.var.woff2 \
	$(FONTDIR)/var/Inter-V.var.otf \
	$(FONTDIR)/var/Inter-V.var.woff2 \
	$(FONTDIR)/var/Inter-roman.var.otf \
	$(FONTDIR)/var/Inter-roman.var.woff2 \
	$(FONTDIR)/var/Inter-italic.var.otf \
	$(FONTDIR)/var/Inter-italic.var.woff2

# Hinted variable font disabled. See https://github.com/rsms/inter/issues/75
# all_var_hinted: $(FONTDIR)/var-hinted/Inter.var.otf $(FONTDIR)/var-hinted/Inter.var.woff2
# .PHONY: all_var_hinted

.PHONY: all_const  all_const_hinted  var  all_var

export PATH := $(PWD)/build/venv/bin:$(PATH)

# generated.make is automatically generated by init.sh and defines depenencies for
# all styles and alias targets
include build/etc/generated.make


# WOFF2 from OTF
build/%.var.woff2: build/%.var.otf
	woff2_compress "$<"

# WOFF2 from TTF
build/%.woff2: build/%.ttf
	woff2_compress "$<"

# WOFF from TTF
build/%.woff: build/%.ttf
	ttf2woff -O -t woff "$<" "$@"



# VF OTF from UFO
$(FONTDIR)/var/Inter.var.otf: $(all_ufo_masters) version.txt
	misc/fontbuild compile-var -o $@ $(FONTBUILD_FLAGS) build/ufo/Inter.designspace

$(FONTDIR)/var/Inter-V.var.otf: $(FONTDIR)/var/Inter.var.otf
	misc/fontbuild rename --family "Inter V" -o $@ $<

$(FONTDIR)/var/Inter-%.var.otf: build/ufo/Inter-%.designspace $(all_ufo_masters) version.txt
	misc/fontbuild compile-var -o $@ $(FONTBUILD_FLAGS) $<
	misc/tools/fix-vf-meta.py $@


# OTF/TTF from UFO
$(FONTDIR)/const/Inter-%.otf: build/ufo/Inter-%.ufo version.txt
	misc/fontbuild compile -o $@ $(FONTBUILD_FLAGS) build/ufo/Inter-$*.ufo

$(FONTDIR)/const/Inter-%.ttf: build/ufo/Inter-%.ufo version.txt
	misc/fontbuild compile -o $@ $(FONTBUILD_FLAGS) build/ufo/Inter-$*.ufo


# DESIGNSPACE from GLYPHS
build/ufo/Inter-roman.designspace: build/ufo/Inter.designspace
build/ufo/Inter-italic.designspace: build/ufo/Inter.designspace
build/ufo/Inter.designspace: src/Inter.glyphs
	@mkdir -p build/ufo
	misc/fontbuild glyphsync -o build/ufo src/Inter.glyphs


# short-circuit Make for performance
src/Inter.glyphs:
	@true

# make sure intermediate files are not gc'd by make
.PRECIOUS: build/ufo/Inter-*.designspace

designspace: build/ufo/Inter.designspace
.PHONY: designspace


# features
src/features: $(wildcard src/features/*)
	@touch "$@"
	@true
build/ufo/features: src/features
	@mkdir -p build/ufo
	@rm -f build/ufo/features
	@ln -s ../../src/features build/ufo/features

# make sure intermediate UFOs are not gc'd by make
.PRECIOUS: build/ufo/Inter-%.ufo

# Note: The seemingly convoluted dependency graph above is required to
# make sure that glyphsync and instancegen are not run in parallel.


# hinted TTF files via autohint
$(FONTDIR)/const-hinted/%.ttf: $(FONTDIR)/const/%.ttf
	mkdir -p "$(dir $@)"
	ttfautohint --fallback-stem-width=256 --no-info "$<" "$@"

# python -m ttfautohint --fallback-stem-width=256 --no-info "$<" "$@"

# $(FONTDIR)/var-hinted/%.ttf: $(FONTDIR)/var/%.ttf
# 	mkdir -p "$(dir $@)"
# 	ttfautohint --fallback-stem-width=256 --no-info "$<" "$@"

# make sure intermediate TTFs are not gc'd by make
.PRECIOUS: $(FONTDIR)/const/%.ttf
.PRECIOUS: $(FONTDIR)/const/%.otf
.PRECIOUS: $(FONTDIR)/const-hinted/%.ttf
.PRECIOUS: $(FONTDIR)/var/%.var.otf




# check var
test_var: all_var
	misc/fontbuild checkfont $(FONTDIR)/var/*.otf $(FONTDIR)/var/*.woff2

# test runs all tests
# Note: all_check_const is generated by init.sh and runs "fontbuild checkfont"
# on all otf and ttf files.
test: all_check_const  test_var
	@echo "test: all ok"

# check does the same thing as test, but without any dependency checks, meaning
# it will check whatever font files are already built.
check:
	misc/fontbuild checkfont \
		$(FONTDIR)/const/*.ttf \
		$(FONTDIR)/const/*.otf \
		$(FONTDIR)/const/*.woff2 \
		$(FONTDIR)/var/*.otf \
		$(FONTDIR)/var/*.woff2
	@echo "check: all ok"

.PHONY: test check




# samples renders PDF and PNG samples
samples: $(FONTDIR)/samples all_samples_pdf all_samples_png

$(FONTDIR)/samples/%.pdf: $(FONTDIR)/const/%.otf $(FONTDIR)/samples
	misc/tools/fontsample/fontsample -o "$@" "$<"

$(FONTDIR)/samples/%.png: $(FONTDIR)/const/%.otf $(FONTDIR)/samples
	misc/tools/fontsample/fontsample -o "$@" "$<"

$(FONTDIR)/samples:
	mkdir -p $@

.PHONY: samples



ZD = build/tmp/zip
# intermediate zip target that creates a zip file at build/tmp/a.zip
build/tmp/a.zip:
	@rm -rf "$(ZD)"
	@rm -f  build/tmp/a.zip
	@mkdir -p \
	  "$(ZD)/Inter" \
	  "$(ZD)/Inter (Hinted, for Windows)" \
	  "$(ZD)/Inter (Variable)" \
	  "$(ZD)/Inter (Variable, single axis)" \
	  "$(ZD)/Inter (Web)" \
	  "$(ZD)/Inter V (Variable)"
	@#
	@# copy font files
	cp -a $(FONTDIR)/const/*.otf              "$(ZD)/Inter/"
	@#
	cp -a $(FONTDIR)/const/*.woff \
	      $(FONTDIR)/const/*.woff2 \
	      $(FONTDIR)/var/Inter.var.woff2 \
	      $(FONTDIR)/var/Inter-italic.var.woff2 \
	      $(FONTDIR)/var/Inter-roman.var.woff2 \
	      misc/dist/inter.css \
	                                          "$(ZD)/Inter (Web)/"
	cp -a $(FONTDIR)/const-hinted/*.woff \
	      $(FONTDIR)/const-hinted/*.woff2 \
	      $(FONTDIR)/const-hinted/*.ttf \
	      misc/dist/inter.css \
	      "misc/dist/about hinted fonts.txt" \
	                                          "$(ZD)/Inter (Hinted, for Windows)/"
	@#
	cp -a $(FONTDIR)/var/Inter.var.otf        "$(ZD)/Inter (Variable)/Inter.otf"
	cp -a $(FONTDIR)/var/Inter-roman.var.otf  "$(ZD)/Inter (Variable, single axis)/Inter-roman.otf"
	cp -a $(FONTDIR)/var/Inter-italic.var.otf "$(ZD)/Inter (Variable, single axis)/Inter-italic.otf"
	@#
	cp -a $(FONTDIR)/var/Inter-V.var.otf      "$(ZD)/Inter V (Variable)/Inter-V.otf"
	@#
	@# copy misc stuff
	cp -a misc/dist/install*.txt        "$(ZD)/"
	cp -a LICENSE.txt                   "$(ZD)/"
	@#
	@# zip
	cd "$(ZD)" && zip -q -X -r "../../../$@" * && cd ../..
	@rm -rf "$(ZD)"

# load version, used by zip and dist
VERSION := $(shell cat version.txt)

# distribution zip files
ZIP_FILE_DIST := build/release/Inter-${VERSION}.zip

# zip
build/release/Inter-%.zip: build/tmp/a.zip
	@mkdir -p "$(shell dirname "$@")"
	@mv -f "$<" "$@"
	@echo write "$@"
	@sh -c "if [ -f /usr/bin/open ]; then /usr/bin/open --reveal '$@'; fi"

zip: all
	$(MAKE) check
	$(MAKE) build/release/Inter-${VERSION}-$(shell git rev-parse --short=10 HEAD).zip

zip_dist: pre_dist
	$(MAKE) check
	$(MAKE) ${ZIP_FILE_DIST}

# distribution
pre_dist: all
	@echo "Creating distribution for version ${VERSION}"
	@if [ -f "${ZIP_FILE_DIST}" ]; \
		then echo "${ZIP_FILE_DIST} already exists. Bump version or remove the zip file to continue." >&2; \
		exit 1; \
	fi
	misc/tools/versionize.py

dist: zip_dist
	$(MAKE) -j docs
	@echo "——————————————————————————————————————————————————————————————————"
	@echo ""
	@echo "Next steps:"
	@echo ""
	@echo "1) Commit & push changes"
	@echo ""
	@echo "2) Create new release with ${ZIP_FILE_DIST} at"
	@echo "   https://github.com/rsms/inter/releases/new?tag=v${VERSION}"
	@echo ""
	@echo "3) Bump version in version.txt (to the next future version)"
	@echo ""
	@echo "——————————————————————————————————————————————————————————————————"

.PHONY: zip zip_dist pre_dist dist



docs: docs_fonts
	$(MAKE) -j docs_info

docs_info: docs/_data/fontinfo.json \
           docs/lab/glyphinfo.json \
           docs/glyphs/metrics.json

docs_fonts:
	rm -rf docs/font-files
	mkdir docs/font-files
	cp -a $(FONTDIR)/const/*.woff \
	      $(FONTDIR)/const/*.woff2 \
	      $(FONTDIR)/const/*.otf \
	      $(FONTDIR)/var/*.* \
	      docs/font-files/

.PHONY: docs docs_info docs_fonts

docs/_data/fontinfo.json: docs/font-files/Inter-Regular.otf misc/tools/fontinfo.py
	misc/tools/fontinfo.py -pretty $< > docs/_data/fontinfo.json

docs/lab/glyphinfo.json: misc/tools/gen-glyphinfo.py build/ufo/Inter-Regular.ufo
	misc/tools/gen-glyphinfo.py -ucd misc/UnicodeData.txt build/ufo/Inter-Regular.ufo > $@

docs/glyphs/metrics.json: misc/tools/gen-metrics-and-svgs.py build/ufo/Inter-Regular.ufo
	misc/tools/gen-metrics-and-svgs.py build/ufo/Inter-Regular.ufo


# Helper target to download latest Unicode data. Nothing depends on this.
ucd_version := 12.1.0
update_UnicodeData:
	@echo "# Unicode $(ucd_version)" > misc/UnicodeData.txt
	curl '-#' "https://www.unicode.org/Public/$(ucd_version)/ucd/UnicodeData.txt" >> misc/UnicodeData.txt


# Google fonts
build/googlefonts/%: $(FONTDIR)/%
	misc/fontbuild rename --compact-style -o $@ "$<"

googlefonts: googlefonts_pre googlefonts_all

googlefonts_pre:
	@rm -rf build/googlefonts
	@mkdir -p  build/googlefonts/const  build/googlefonts/var

.PHONY: googlefonts googlefonts_pre




# install targets
install_ttf: all_ttf_const
	@echo "Installing TTF files locally at ~/Library/Fonts/Inter"
	rm -rf ~/'Library/Fonts/Inter'
	mkdir -p ~/'Library/Fonts/Inter'
	cp -va $(FONTDIR)/const/*.ttf ~/'Library/Fonts/Inter'

install_ttf_hinted: all_ttf_hinted
	@echo "Installing autohinted TTF files locally at ~/Library/Fonts/Inter"
	rm -rf ~/'Library/Fonts/Inter'
	mkdir -p ~/'Library/Fonts/Inter'
	cp -va $(FONTDIR)/const-hinted/*.ttf ~/'Library/Fonts/Inter'

install_otf: all_otf
	@echo "Installing OTF files locally at ~/Library/Fonts/Inter"
	rm -rf ~/'Library/Fonts/Inter'
	mkdir -p ~/'Library/Fonts/Inter'
	cp -va $(FONTDIR)/const/*.otf ~/'Library/Fonts/Inter'

install_var_v: $(FONTDIR)/var/Inter-V.var.otf
	mkdir -p ~/'Library/Fonts/Inter'
	cp -va $(FONTDIR)/var/Inter-V.var.otf ~/'Library/Fonts/Inter/Inter-V.otf'

install: install_otf install_var_v

.PHONY: install install_otf install_ttf



# clean removes generated and built fonts in the build directory
clean:
	rm -rvf build/tmp build/fonts build/ufo build/googlefonts

.PHONY: clean

=== requirements.txt ===
fonttools[lxml,unicode,ufo]==4.0.1
cu2qu==1.6.6
glyphsLib==5.0.1
ufo2ft[pathops]==2.9.1
defcon[lxml]==0.6.0
skia-pathops==0.2.0.post2

# only used for DesignSpaceDocumentReader in fontbuild
MutatorMath==2.1.2

# for woff2
brotli==1.0.7

=== debian/changelog ===
fonts-inter (3.12-1) unstable; urgency=medium

  * New upstream version.
  * Many thanks for the patch Yao Wei. (Closes: #950099)
  * Added ufo sources.
  * Bump standards version to 4.5.0.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Sun, 09 Feb 2020 14:50:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), fontmake
-Standards-Version: 4.4.1
+Build-Depends: debhelper (>= 11), fontmake, ufo2otf, python3-fontforge, fontforge-nox
+Standards-Version: 4.5.0
 Homepage: https://rsms.me/inter/
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-inter.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-inter

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,12 @@
 
 override_dh_auto_build:
 	fontmake -i -o otf -g src/Inter.glyphs
+#	ufo2otf 'src/Inter-Black Italic.ufo'
+#	ufo2otf src/Inter-Black.ufo
+#	ufo2otf src/Inter-Italic.ufo
+#	ufo2otf src/Inter-Regular.ufo
+#	ufo2otf 'src/Inter-Thin Italic.ufo'
+#	ufo2otf src/Inter-Thin.ufo
 
 override_dh_auto_test:
 	@echo skipping test

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/rsms/inter/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## fonts-inter 3.15+ds

=== Makefile ===
# To list all targets:
#   make list
#
# High-level make targets:
#   all               Build everything
#   all_text          Build all Inter (non-dislay) fonts
#   all_display       Build all Inter Display fonts
#   web               Build all web fonts
#   var               Build all variable fonts
#   zip               Build a complete ZIP archive of all fonts.
#   test              Build and test everyything
#   install           Build and install all OTF files (macOS only)
#
# Style-specific targets:
#   STYLE_otf         Build OTF file for STYLE into FONTDIR/const
#   STYLE_ttf         Build TTF file for STYLE into FONTDIR/const
#   STYLE_ttf_hinted  Build TTF file for STYLE with hints into
#                     FONTDIR/const-hinted
#   STYLE_web         Build WOFF files for STYLE into FONTDIR/const
#   STYLE_web_hinted  Build WOFF files for STYLE with hints into
#                     FONTDIR/const-hinted
#   STYLE_check       Build & check OTF and TTF files for STYLE
#
# "build" directory output structure:
#   fonts
#     const
#     const-hinted
#     var
#
FONTDIR = build/fonts

all: all_text  all_display  web

# all fonts of a certain type
all_otf:     all_otf_text  all_otf_display
all_ttf:     all_ttf_text  all_ttf_display  all_ttf_text_hinted  all_ttf_display_hinted

# all fonts of given variant
all_text:    all_otf_text     all_ttf_text     all_ttf_text_hinted     all_var_text     web_text
all_display: all_otf_display  all_ttf_display  all_ttf_display_hinted  all_var_display  web_display

# web fonts
web:         web_text  web_display
web_text:    all_web_text     all_web_hinted_text
web_display: all_web_display  all_web_hinted_display

# variable fonts
var: all_var_text  all_var_display
var_text:    $(FONTDIR)/var/Inter.var.woff2 $(FONTDIR)/var/Inter.var.ttf $(FONTDIR)/var/Inter-V.var.ttf
var_display: $(FONTDIR)/var/InterDisplay.var.woff2 $(FONTDIR)/var/InterDisplay.var.ttf $(FONTDIR)/var/InterDisplay-V.var.ttf
all_var_text: \
	$(FONTDIR)/var/Inter.var.ttf \
	$(FONTDIR)/var/Inter.var.woff2 \
	$(FONTDIR)/var/Inter-V.var.ttf \
	$(FONTDIR)/var/Inter-V.var.woff2 \
	$(FONTDIR)/var/Inter-roman.var.ttf \
	$(FONTDIR)/var/Inter-roman.var.woff2 \
	$(FONTDIR)/var/Inter-italic.var.ttf \
	$(FONTDIR)/var/Inter-italic.var.woff2
all_var_display: \
	$(FONTDIR)/var/InterDisplay.var.ttf \
	$(FONTDIR)/var/InterDisplay.var.woff2 \
	$(FONTDIR)/var/InterDisplay-V.var.ttf \
	$(FONTDIR)/var/InterDisplay-V.var.woff2 \
	$(FONTDIR)/var/InterDisplay-roman.var.ttf \
	$(FONTDIR)/var/InterDisplay-roman.var.woff2 \
	$(FONTDIR)/var/InterDisplay-italic.var.ttf \
	$(FONTDIR)/var/InterDisplay-italic.var.woff2

.PHONY: all  all_otf  all_ttf  all_text  all_display
.PHONY: web  web_text  web_display
.PHONY: var  var_text  var_display  all_var_text  all_var_display

# Hinted variable font disabled. See https://github.com/rsms/inter/issues/75
# all_var_hinted: $(FONTDIR)/var-hinted/Inter.var.ttf $(FONTDIR)/var-hinted/Inter.var.woff2

# list make targets
# We copy the Makefile (first in MAKEFILE_LIST) and disable the include to only list
# primary targets, avoiding the generated targets.
.PHONY: list  list_all
list:
	@mkdir -p build/etc \
	&& cat $(firstword $(MAKEFILE_LIST)) \
	 | sed 's/include /#include /g' > build/etc/Makefile-list \
	&& $(MAKE) -pRrq -f build/etc/Makefile-list : 2>/dev/null \
	 | awk -v RS= -F: '/^# File/,/^# Finished Make data base/ {if ($$1 !~ "^[#.]") {print $$1}}' \
	 | sort \
	 | egrep -v -e '^[^[:alnum:]]' -e '^$@$$'
# list_all is like list, but includes generated targets
list_all:
	@$(MAKE) -pRrq -f $(firstword $(MAKEFILE_LIST)) : 2>/dev/null \
	 | awk -v RS= -F: '/^# File/,/^# Finished Make data base/ {if ($$1 !~ "^[#.]") {print $$1}}' \
	 | sort \
	 | egrep -v -e '^[^[:alnum:]]' -e '^$@$$'

export PATH := $(PWD)/build/venv/bin:$(PATH)

# generated.make is automatically generated by init.sh and defines depenencies for
# all styles and alias targets
include build/etc/generated.make


# WOFF2 from TTF
build/%.woff2: build/%.ttf
	woff2_compress "$<"

# WOFF from TTF
build/%.woff: build/%.ttf
	ttf2woff -O -t woff "$<" "$@"



# VF OTF from UFO
$(FONTDIR)/var/Inter.var.ttf: $(all_ufo_masters_text) version.txt
	@mkdir -p "$(dir $@)"
	misc/fontbuild compile-var -o $@ $(FONTBUILD_FLAGS) build/ufo/Inter.designspace

$(FONTDIR)/var/Inter-V.var.ttf: $(FONTDIR)/var/Inter.var.ttf
	misc/fontbuild rename --family "Inter V" -o $@ $<

$(FONTDIR)/var/Inter-%.var.ttf: build/ufo/Inter-%.designspace $(all_ufo_masters_text) version.txt
	@mkdir -p "$(dir $@)"
	misc/fontbuild compile-var -o $@ $(FONTBUILD_FLAGS) $<
	misc/tools/fix-vf-meta.py $@


$(FONTDIR)/var/InterDisplay.var.ttf: $(all_ufo_masters_display) version.txt
	@mkdir -p "$(dir $@)"
	misc/fontbuild compile-var -o $@ $(FONTBUILD_FLAGS) build/ufo/InterDisplay.designspace

$(FONTDIR)/var/InterDisplay-V.var.ttf: $(FONTDIR)/var/InterDisplay.var.ttf
	misc/fontbuild rename --family "Inter Display V" -o $@ $<

$(FONTDIR)/var/InterDisplay-%.var.ttf: build/ufo/InterDisplay-%.designspace $(all_ufo_masters_display) version.txt
	@mkdir -p "$(dir $@)"
	misc/fontbuild compile-var -o $@ $(FONTBUILD_FLAGS) $<
	misc/tools/fix-vf-meta.py $@


# OTF/TTF from UFO
$(FONTDIR)/const/Inter%.otf: build/ufo/Inter%.ufo version.txt
	@mkdir -p "$(dir $@)"
	misc/fontbuild compile -o $@ $(FONTBUILD_FLAGS) build/ufo/Inter$*.ufo

$(FONTDIR)/const/Inter%.ttf: build/ufo/Inter%.ufo version.txt
	@mkdir -p "$(dir $@)"
	misc/fontbuild compile -o $@ $(FONTBUILD_FLAGS) build/ufo/Inter$*.ufo


# DESIGNSPACE from GLYPHS
build/ufo/Inter-roman.designspace: build/ufo/Inter.designspace
build/ufo/Inter-italic.designspace: build/ufo/Inter.designspace
build/ufo/Inter.designspace: src/Inter.glyphs
	@mkdir -p build/ufo
	misc/fontbuild glyphsync -o build/ufo src/Inter.glyphs
build/ufo/InterDisplay-roman.designspace: build/ufo/InterDisplay.designspace
build/ufo/InterDisplay-italic.designspace: build/ufo/InterDisplay.designspace
build/ufo/InterDisplay.designspace: src/InterDisplay.glyphs
	@mkdir -p build/ufo
	misc/fontbuild glyphsync -o build/ufo src/InterDisplay.glyphs


# short-circuit Make for performance
src/Inter.glyphs:
	@true
src/InterDisplay.glyphs:
	@true

# make sure intermediate files are not gc'd by make
.PRECIOUS: build/ufo/Inter-*.designspace build/ufo/InterDisplay-*.designspace

designspace: build/ufo/Inter.designspace build/ufo/InterDisplay.designspace
.PHONY: designspace


# features
src/features: $(wildcard src/features/*)
	@touch "$@"
	@true
build/ufo/features: src/features
	@mkdir -p build/ufo
	@rm -f build/ufo/features
	@ln -s ../../src/features build/ufo/features

# make sure intermediate UFOs are not gc'd by make
.PRECIOUS: build/ufo/Inter-%.ufo

# Note: The seemingly convoluted dependency graph above is required to
# make sure that glyphsync and instancegen are not run in parallel.


# hinted TTF files via autohint
$(FONTDIR)/const-hinted/%.ttf: $(FONTDIR)/const/%.ttf
	mkdir -p "$(dir $@)"
	ttfautohint --windows-compatibility --adjust-subglyphs --no-info "$<" "$@"

# python -m ttfautohint --fallback-stem-width=256 --no-info "$<" "$@"

# $(FONTDIR)/var-hinted/%.ttf: $(FONTDIR)/var/%.ttf
# 	mkdir -p "$(dir $@)"
# 	ttfautohint --fallback-stem-width=256 --no-info "$<" "$@"

# make sure intermediate TTFs are not gc'd by make
.PRECIOUS: $(FONTDIR)/const/%.ttf
.PRECIOUS: $(FONTDIR)/const/%.otf
.PRECIOUS: $(FONTDIR)/const-hinted/%.ttf
.PRECIOUS: $(FONTDIR)/var/%.var.ttf



# test runs all tests
# Note: all_check_const is generated by init.sh and runs "fontbuild checkfont"
# on all otf and ttf files.
test: check_all_text  check_all_display
	misc/fontbuild checkfont $(FONTDIR)/var/*.otf $(FONTDIR)/var/*.woff2
	@echo "test: all ok"

# check does the same thing as test, but without any dependency checks, meaning
# it will check whatever font files are already built.
check_text:
	misc/fontbuild checkfont \
		$(FONTDIR)/const/Inter-*.ttf \
		$(FONTDIR)/const/Inter-*.otf \
		$(FONTDIR)/const/Inter-*.woff2 \
		$(FONTDIR)/var/Inter.var.ttf \
		$(FONTDIR)/var/Inter.var.woff2 \
		$(FONTDIR)/var/Inter-*.var.ttf \
		$(FONTDIR)/var/Inter-*.var.woff2
	@echo "check_text: all ok"

check_display:
	misc/fontbuild checkfont \
		$(FONTDIR)/const/InterDisplay-*.ttf \
		$(FONTDIR)/const/InterDisplay-*.otf \
		$(FONTDIR)/const/InterDisplay-*.woff2 \
		$(FONTDIR)/var/InterDisplay.var.ttf \
		$(FONTDIR)/var/InterDisplay.var.woff2 \
		$(FONTDIR)/var/InterDisplay-*.var.ttf \
		$(FONTDIR)/var/InterDisplay-*.var.woff2
	@echo "check_display: all ok"

.PHONY: test check check_text check_display




# samples renders PDF and PNG samples
samples: $(FONTDIR)/samples all_samples_pdf all_samples_png

$(FONTDIR)/samples/%.pdf: $(FONTDIR)/const/%.otf $(FONTDIR)/samples
	misc/tools/fontsample/fontsample -o "$@" "$<"

$(FONTDIR)/samples/%.png: $(FONTDIR)/const/%.otf $(FONTDIR)/samples
	misc/tools/fontsample/fontsample -o "$@" "$<"

$(FONTDIR)/samples:
	mkdir -p $@

.PHONY: samples


# load version, used by zip and dist
VERSION := $(shell cat version.txt)

# distribution zip files
ZIP_FILE_DIST := build/release/Inter-${VERSION}.zip

zip: all
	$(MAKE) check_text check_display
	bash misc/makezip.sh -all -reveal-in-finder \
		"build/release/Inter-${VERSION}-$(shell git rev-parse --short=10 HEAD).zip"

zip_text: all_text
	$(MAKE) check_text
	bash misc/makezip.sh -text -reveal-in-finder \
		"build/release/Inter-${VERSION}-text-$(shell git rev-parse --short=10 HEAD).zip"

zip_display: all_display
	$(MAKE) check_display
	bash misc/makezip.sh -display -reveal-in-finder \
		"build/release/Inter-${VERSION}-display-$(shell git rev-parse --short=10 HEAD).zip"


dist_zip: dist_check dist_build
	$(MAKE) check_text
	bash misc/makezip.sh -text -reveal-in-finder "$(ZIP_FILE_DIST)"

dist_build: all_text
	misc/tools/versionize.py

dist_check:
	@echo "Creating distribution for version ${VERSION}"
	@if [ -f "${ZIP_FILE_DIST}" ]; then \
		echo "${ZIP_FILE_DIST} already exists. Bump version or remove the zip file to continue." >&2; \
		exit 1; \
	fi
	@echo "——————————————————————————————————————————————————————————————————"
	@echo ""
	@echo "     REMEMBER TO 'make clean' FIRST IF FONT FILES CHANGED"
	@echo ""
	@echo "——————————————————————————————————————————————————————————————————"

dist: dist_zip
	$(MAKE) -j docs
	@echo "——————————————————————————————————————————————————————————————————"
	@echo ""
	@echo "Next steps:"
	@echo ""
	@echo "1) Commit & push changes"
	@echo ""
	@echo "2) Create new release with ${ZIP_FILE_DIST} at"
	@echo "   https://github.com/rsms/inter/releases/new?tag=v${VERSION}"
	@echo ""
	@echo "3) Bump version in version.txt (to the next future version)"
	@echo ""
	@echo "——————————————————————————————————————————————————————————————————"

.PHONY: zip zip_dist pre_dist dist



docs: docs_fonts
	$(MAKE) -j docs_info

docs_info: docs/_data/fontinfo.json \
           docs/lab/glyphinfo.json \
           docs/glyphs/metrics.json

docs_fonts: docs_fonts_text  docs_fonts_display
docs_fonts_pre:
	rm -rf docs/font-files
	mkdir docs/font-files

docs_fonts_text: docs_fonts_pre
	cp -a $(FONTDIR)/const/*.woff \
	      $(FONTDIR)/const/*.woff2 \
	      $(FONTDIR)/const/*.otf \
	      $(FONTDIR)/var/Inter.var.* \
	      $(FONTDIR)/var/InterDisplay.var.* \
	      $(FONTDIR)/var/Inter*-roman.var.* \
	      $(FONTDIR)/var/Inter*-italic.var.* \
	      docs/font-files/

docs_fonts_display: docs_fonts_pre
	cp -a $(FONTDIR)/const/*.woff \
	      $(FONTDIR)/const/*.woff2 \
	      $(FONTDIR)/const/*.otf \
	      $(FONTDIR)/var/Inter.var.* \
	      $(FONTDIR)/var/InterDisplay.var.* \
	      $(FONTDIR)/var/Inter*-roman.var.* \
	      $(FONTDIR)/var/Inter*-italic.var.* \
	      docs/font-files/

.PHONY: docs  docs_info  docs_fonts  docs_fonts_pre  docs_fonts_text  docs_fonts_display

docs/_data/fontinfo.json: docs/font-files/Inter-Regular.otf misc/tools/fontinfo.py
	misc/tools/fontinfo.py -pretty $< > docs/_data/fontinfo.json

docs/lab/glyphinfo.json: misc/tools/gen-glyphinfo.py build/ufo/Inter-Regular.ufo

=== requirements.txt ===
fonttools[lxml,unicode,ufo]==4.13.0
cu2qu==1.6.7
glyphsLib==5.1.11
ufo2ft[pathops]==2.15.0
defcon[lxml]==0.7.2
skia-pathops==0.4.1

# only used for DesignSpaceDocumentReader in fontbuild
MutatorMath==2.1.2

# for woff2
brotli==1.0.7

=== debian/changelog ===
fonts-inter (3.15+ds-2) unstable; urgency=medium

  * Source only upload. (Closes: #975474)
  * Thanks for fixing AppStream, applied patch of Michel Le Bihan.
    (Closes: #968898)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 23 Nov 2020 08:37:47 +0100

fonts-inter (3.15+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper version to 13.
  * Added upstream metadata file.
  * Also build VF font. (Closes: #968936)
  * d/control:
    - added Rules-Requires-Root.
    - deduplicate short description.
  * moved d/s.l-o to d/s/lintian-overrides.
  * d/patches: dropped.
  * d/copyright:
    - updated years.
    - added Files-Excluded.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 26 Aug 2020 08:08:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 11), fontmake, ufo2otf, python3-fontforge, fontforge-nox
+Build-Depends: debhelper-compat (= 13), fontmake, ufo2otf, python3-fontforge, fontforge-nox | fontforge
 Standards-Version: 4.5.0
-Homepage: https://rsms.me/inter/
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/fonts-team/fonts-inter.git
 Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-inter
+Homepage: https://rsms.me/inter/
 
 Package: fonts-inter
 Architecture: all
@@ -22,3 +23,19 @@
  provided as well, like contextual alternates that adjusts punctuation
  depending on the shape of surrounding glyphs, slashed zero for when
  you need to disambiguate "0" from "o", tabular numbers, etc.
+
+Package: fonts-inter-variable
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Description: Inter font family (VF)
+ This is a typeface specially designed for user interfaces with focus
+ on high legibility of small-to-medium sized text on computer screens.
+ .
+ The family features a tall x-height to aid in readability of
+ mixed-case and lower-case text. Several OpenType features are
+ provided as well, like contextual alternates that adjusts punctuation
+ depending on the shape of surrounding glyphs, slashed zero for when
+ you need to disambiguate "0" from "o", tabular numbers, etc.
+ .
+ This is the VF variant of the font.

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 
 override_dh_auto_build:
 	fontmake -i -o otf -g src/Inter.glyphs
+	fontmake -o variable -g src/Inter.glyphs
 #	ufo2otf 'src/Inter-Black Italic.ufo'
 #	ufo2otf src/Inter-Black.ufo
 #	ufo2otf src/Inter-Italic.ufo
